List teamspace invites
import requests
url = "https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"email": "jsmith@example.com",
"permissions": {
"role": "admin",
"agent_ids": [
"<string>"
]
},
"status": "pending",
"accepted_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Teamspace Invites
List teamspace invites
List all pending invites for a teamspace.
GET
/
organization
/
teamspaces
/
{teamspace_id}
/
invites
List teamspace invites
import requests
url = "https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"email": "jsmith@example.com",
"permissions": {
"role": "admin",
"agent_ids": [
"<string>"
]
},
"status": "pending",
"accepted_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Query Parameters
Response
List of invites for the teamspace
Response containing a list of invites in a teamspace